<template>
  <el-dialog width="1000px" title="入院登记" class="chargeDialog" :visible.sync="visibility" :close-on-click-modal="isClose"
             :close-on-press-escape="isClose">

    <div class="nameTitle">患者基本信息:</div>
    <div class="formMain">
      <el-form class="basicForm" :model="form" :rules="rules" ref="form" label-width="100px">
        <el-form-item label="患者姓名：" prop="name" :validate-event="is_Name">
          <el-autocomplete
              class="checkSearch"
              popper-class="my-autocomplete"
              v-model="form.name"
              :fetch-suggestions="querySearchAsync"
              :trigger-on-focus="false"
              placeholder="请输入病人名字"
              @select="handleSelect"
              style="width:160px;"
          >
            <i class="el-icon-search el-input__icon" slot="suffix"></i>
            <template slot-scope="{ item }">
              <div class="name">{{ item.name }}</div>
            </template>
          </el-autocomplete>
        </el-form-item>


        <el-form-item label="手机号码：" prop="phone">
          <el-input v-model="form.phone"></el-input>
        </el-form-item>


        <el-form-item label="证件类型：" prop="certificates" :validate-event="is_Name">
          <el-select v-model="form.certificates" placeholder="请选择">
            <el-option
                v-for="item in certificates"
                :key="item.value"
                :label="item.label"
                :value="item.value">
            </el-option>
          </el-select>
        </el-form-item>

        <el-form-item label="证件号码：" prop="id_card_no" :validate-event="is_Name">
          <el-input v-model="form.id_card_no"></el-input>
        </el-form-item>


        <el-form-item label="读卡类型：" prop="id_card_type" :validate-event="is_Name">
          <el-select v-model="form.id_card_type" placeholder="请选择">
            <el-option
                v-for="item in IDCardTypes"
                :key="item.value"
                :label="item.label"
                :value="item.value">
            </el-option>
          </el-select>
        </el-form-item>


        <el-form-item label="结算类型：">
          <el-select v-model="form.settlement_value" placeholder="请选择" style="width:100%;">
            <el-option
                v-for="item in settlement"
                :key="item.value"
                :label="item.label"
                :value="item.value">
            </el-option>
          </el-select>
        </el-form-item>

        <el-form-item label="参保地：">
          <el-select v-model="form.insuplc_admdvs" placeholder="请选择" style="width:100%;">
            <el-option
                v-for="item in InsuplcAdmdvs"
                :key="item.value"
                :label="item.label"
                :value="item.value">
            </el-option>
          </el-select>
        </el-form-item>

        <!--<el-form-item class="specialFormItem" label="医保卡号：">-->
        <!--<div style="display:flex;">-->
        <!--<el-input v-model="form.medicalInsuranceCard"></el-input>-->
        <!--                    <el-button style="margin-left:10px;" type="primary" @click="check" v-if="form.id_card_no.length > 0">查待遇</el-button>-->
        <!--</div>-->
        <!--</el-form-item>-->

      </el-form>
    </div>
    <div class="nameTitle">患者住院信息:</div>
    <div class="formMain">
      <el-form class="basicForm" :model="form" :rules="rules" ref="form" label-width="100px">

        <el-form-item label="疾病类型：" prop="sick_type" :validate-event="is_Name">
          <el-select filterable v-model="form.sick_type" placeholder="">
            <el-option
                v-for="(item,index) in sick"
                :key="index"
                :label="item.class_name"
                :value="item.id">
            </el-option>
          </el-select>
        </el-form-item>

        <el-form-item label="诊断：" prop="diagnosis" :validate-event="is_Name">
          <el-select v-model="form.diagnosis" placeholder="">
            <el-option
                v-for="(item,index) in diagnoses"
                :key="index"
                :label="item.class_name"
                :value="item.id">
            </el-option>
          </el-select>
        </el-form-item>

        <el-form-item label="医疗类别：" prop="med_type" :validate-event="is_Name">
          <el-select v-model="form.med_type" placeholder=""
          >
            <el-option
                v-for="(item,index) in registers"
                :key="index"
                :label="item.label"
                :value="item.value">
            </el-option>
          </el-select>
        </el-form-item>


        <el-form-item label="社保类型：">
          <el-select v-model="form.social_type" placeholder="请选择" style="width:100%;">
            <el-option
                v-for="item in medicalCare"
                :key="item.value"
                :label="item.label"
                :value="item.value">
            </el-option>
          </el-select>
        </el-form-item>


        <el-form-item label="人员类别：">
          <el-select v-model="form.psn_type" placeholder="请选择" style="width:100%;">
            <el-option
                v-for="item in PsnTypes"
                :key="item.value"
                :label="item.label"
                :value="item.value">
            </el-option>
          </el-select>
        </el-form-item>


        <el-form-item label="主治医生：" prop="doctor" :validate-event="is_Name">
          <el-select v-model="form.doctor" placeholder="请选择" @change="changeDoctor">
            <el-option
                v-for="item in doctorList"
                :key="item.admin_user_id"
                :label="item.user_name"
                :value="item.admin_user_id">
            </el-option>
          </el-select>
        </el-form-item>
        <el-form-item label="入院时间："  prop="start_time" :validate-event="is_Name">
          <el-date-picker style="width: 210px" v-model="form.start_time" type="datetime" format="yyyy-MM-dd HH:mm:ss"
                          value-format="yyyy-MM-dd HH:mm:ss"
                          placeholder="请选择入院时间">
          </el-date-picker>

        </el-form-item>
        <el-form-item label="入院科室：" prop="department" :validate-event="is_Name">
          <el-select v-model="form.department" placeholder="请选择">
            <el-option
                v-for="item in departmentList"
                :key="item.id"
                :label="item.name"
                :value="item.id">
            </el-option>
          </el-select>
        </el-form-item>




      </el-form>
    </div>


    <span slot="footer" class="dialog-footer">
    <el-button v-loading="loadingone" @click="cancel('form')">取 消</el-button>
    <el-button v-loading="loadingone" type="primary" @click="confirm('form')">登记</el-button>
  </span>
  </el-dialog>

</template>

<script>
import { PostSearch } from '@/api/patient'
import BreadCrumb from '@/xt_pages/components/bread-crumb'
import { basename } from 'path'
import {
  getAllDoctorList,
  getPatientDetail,
  getTodaySchedulePatient,
  getUnRegisterHisPatientList,
  saveHisPatient
} from '@/api/project/project'
import { getDictionaryDataConfig } from '@/utils/data'
import { jsGetAge, uParseTime } from '@/utils/tools'
import { getInitData,Inhopitalcheck} from '@/api/his/his'
import axios from 'axios'

const moment = require('moment')
export default {
  components: {
    BreadCrumb
  },
  data() {
    return {
      visibility:false,
      isClose:false,

      PsnTypes:[
        { value: 11, label: '在职' },
        { value: 21, label: '退休' },
        { value: 31, label: '离休' },
        { value: 32, label: '老红军' },
        { value: 33, label: '一至六级残废军人' },
        { value: 34, label: '医疗照顾人员' },
        { value: 41, label: '学龄前儿童' },
        { value: 42, label: '中小学生' },
        { value: 43, label: '大学生' },
        { value: 50, label: '成年居民（非从业）'},
        { value: 60, label: '老年居民' },
        { value: 91, label: '其他人员' },
        { value: 1501, label: '未知' },




      ],
      settlement: [
        { value: 1, label: '医保' },
        { value: 2, label: '自费' },
        { value: 3, label: '公费' },
        { value: 4, label: '农保' },
        { value: 5, label: '会员' },
        { value: 6, label: '职工' },
        { value: 7, label: '合同' }
      ],
      record_date: '',
      loadingone: false,
      read_loading: false,
      registers: [
        { value: 11, label: '普通门诊' },
        // {value: 12, label: '门诊挂号'},
        // {value: 13, label: '急诊'},
        { value: 14, label: '门诊慢性病' }
        // {value: 15, label: '门诊统筹'},
        // {value: 16, label: '门诊慢性病'},
        // {value: 21, label: '普通住院'}

      ],
      medicalCare: [{
        value: 390,
        label: '城乡居民基本医疗保险'
      }, {
        value: 310,
        label: '职工基本医疗保险'
      }],
      sick: [],
      diagnoses: [],
      crumbs: [
        { path: false, name: '住院工作站' },
        { path: false, name: '住院登记' }
      ],
      form: {
        social_type:'',
        psn_type:'',
        start_time: '',
        id: 0,
        sick_type: '',
        diagnosis: '',
        medicalInsuranceCard: '',
        name: '',
        certificates: 1,
        id_card_no: '',
        doctor: '',
        department: '',
        phone: '',
        id_card_type: 2,
        med_type: '',
        settlement_value: 1,
        insuplc_admdvs:''

      },
      InsuplcAdmdvs:[],
      certificates: [{
        value: 1,
        label: '内地身份证'
      }, {
        value: 2,
        label: '社保卡'
      }, {
        value: 3,
        label: '护照'
      }, {
        value: 4,
        label: '军官证'
      }, {
        value: 5,
        label: '台胞证'
      }, {
        value: 6,
        label: '港澳地区身份证'
      }],
      loadingtwo:false,
      IDCardTypes: [{
        value: 1,
        label: '社保卡'
      }, {
        value: 2,
        label: '身份证'
      }, {
        value: 3,
        label: '电子凭证'
      }],
      rules: {
        name: [{ required: true, message: '患者姓名不能为空', trigger: 'blur' }],
        id_card_no: [{ required: true, message: '证件号码不能为空', trigger: 'blur' }],
        doctor: [{ required: true, message: '请选择医生', trigger: 'blur' }],
        department: [{ required: true, message: '请填写科室', trigger: 'blur' }],
        certificates: [{ required: true, message: '证件类型不能为空', trigger: 'change' }],
        id_card_type: [{ required: true, message: '读卡类型不能为空', trigger: 'change' }],
        med_type: [{ required: true, message: '医疗类别不能为空', trigger: 'change' }],
        sick_type: [{ required: true, message: '大病类别不能为空', trigger: 'change' }],
        diagnosis: [{ required: true, message: '诊断不能为空', trigger: 'change' }],
        start_time: [{ required: true, message: '入院时间不能为空', trigger: 'change' }]

      },
      doctorList: [],
      departmentList: [],
      is_Name: false,
      patient: [],
      scialType: []
    }
  },

  methods: {
    cancel: function (formName) {
      this.$refs['form'].resetFields()
      this.$emit('cancel', "");

    },
    confirm: function (formName) {
      this.saveHisPatient(formName)
    },
    check(){
      if(this.form.med_type == 0 || this.form.med_type == ''){
        this.$message.error("医疗类别不能为空")
        return
      }
      if(this.form.social_type == 0 || this.form.social_type == ''){
        this.$message.error("社保类型不能为空")
        return
      }
      var that = this
      let params={
        patient_id:this.form.id,
        id_card_no: this.form.id_card_no,
        admin_user_id:this.$store.getters.xt_user.user.id,
        med_type: this.form.med_type,
        insutype: this.form.social_type
      }
      axios.get('http://127.0.0.1:9532/api/treatment/check', {
        params: params,
        headers: {
          'Permission': 5
        }
      })
          .then(function(response) {
            if (response.data.state == 0) {
              that.$message.error(response.data.msg)
              that.loadingone = false
              return false
            } else {
              that.loadingone = false
              if (response.data.data.failed_code == -10) {
                // that.$message.error(response.data.data.msg)
                that.$confirm(response.data.data.msg, '医保错误信息', {
                  confirmButtonText: '确 定',
                  type: 'warning'
                }).then(() => {


                }).catch(() => {
                })
              } else {
                var result_desc = '';
                result_desc = response.data.data.msg
                that.$alert(result_desc, '结果', {
                  confirmButtonText: '确定',
                  callback: action => {
                    this.dialogFormVisible = false
                  }
                });
              }
            }
          })
          .catch(function(error) {

          })

    }, show() {

      this.form.id = 0
      this.form.name = ""
      this.form.sex = ""
      this.form.age = ""
      this.form.birthday = ""
      this.form.phone = ""
      this.form.id_card_no = ""
      this.form.insuplc_admdvs = ""
      this.form.social_type  = ""
      this.form.psn_type = ""
      this.form.doctor = ""




      this.visibility = true
      this.form.certificates = 1
      if (this.$store.getters.xt_user.org_id == 9504 || this.$store.getters.xt_user.org_id == 10028 || this.$store.getters.xt_user.org_id == 10138) {
        this.form.certificates = 2
        this.form.id_card_type = 1
      } else {
        this.form.certificates = 1
        this.form.id_card_type = 2
      }
      this.form.start_time =moment(new Date()).add('year',0).format("YYYY-MM-DD HH:mm:ss")
      this.getInitData()
      //获取当前机构有人员信息inde
      this.getAllDoctorList()
    },hide(){
      this.visibility = false
    },
    handleSelect(val) {
      this.form.id = val.id
      this.form.name = val.name
      this.form.sex = val.gender
      this.form.age = val.age
      this.form.birthday = uParseTime(val.birthday, '{y}-{m}-{d}')
      this.form.phone = val.phone
      this.form.id_card_no = val.id_card_no

      var thisLen = this.form.id_card_no.length
      var birth = ''
      if (thisLen == 15) {
        birth = '19' + this.form.id_card_no.substr(6, 6)
      } else {
        birth = this.form.id_card_no.substr(6, 8)
      }
      var births =
          birth.substr(0, 4) +
          '-' +
          birth.substr(4, 2) +
          '-' +
          birth.substr(6, 2)
      this.form.age = jsGetAge(births, '-')

      var that = this
      let params={
        id_card_no: this.form.id_card_no,
        admin_user_id:this.$store.getters.xt_user.user.id,

      }
      axios.get('http://127.0.0.1:9532/zh/api/patient/info', {
        params: params,
        headers: {
          'Permission': 5
        }
      })
          .then(function(response) {
            if (response.data.state == 0) {
              that.$message.error(response.data.msg)
              that.loadingone = false
              return false
            } else {
              that.loadingone = false
              if (response.data.data.failed_code == -10) {
                // that.$message.error(response.data.data.msg)
                that.$confirm(response.data.data.msg, '医保错误信息', {
                  confirmButtonText: '确 定',
                  type: 'warning'
                }).then(() => {



                }).catch(() => {
                })
              } else {
                that.InsuplcAdmdvs = []
                // console.log(parseNumber(response.data.data.info.output.insuinfo.psn_type))
                // console.log(parseNumber(response.data.data.insutype))
                for(let i =0; i < response.data.data.info.output.insuinfo.length; i++){
                  that.InsuplcAdmdvs.push({
                    value:response.data.data.info.output.insuinfo[i].insuplc_admdvs,
                    label:response.data.data.info.output.insuinfo[i].insuplc_admdvs,
                  })

                }

                that.form.psn_type = parseInt(response.data.data.info.output.insuinfo[0].psn_type)
                that.form.social_type = parseInt(response.data.data.insutype)
                // that.form.settlement_value = parseInt(response.data.data.insutype)


              }
            }
          })
          .catch(function(error) {

          })
    },
    querySearchAsync(keyword, cb) {
      let key = ''
      if (keyword != undefined) {
        key = keyword
      }
      let searchArray = []
      PostSearch(key).then(response => {
        if (response.data.state == 1) {
          searchArray = response.data.data.patient
          cb(searchArray)
        } else {
          cb([])
        }
      })
    },

    // reading(medicalInsuranceCard) {
    //   var that = this
    //   if (this.form.id_card_type.length == 0 || this.form.id_card_type == 0) {
    //     this.$message.error('请先选择读卡类型')
    //     return
    //   }
    //   let params = {
    //     'id_card_type': this.form.id_card_type
    //   }
    //   axios.get('http://127.0.0.1:9532/api/sscard', {
    //     params: params
    //   })
    //     .then(function(response) {
    //       if (response.data.state == 0) {
    //         that.$message.error(response.data.msg)
    //         return false
    //       } else {
    //         var patient = response.data.data.patient
    //
    //         if (that.form.id_card_type == 1) {
    //           that.form.name = patient.ID
    //           that.form.sex = patient.gender
    //           that.form.age = patient.age
    //           that.form.birthday = uParseTime(patient.birthday, '{y}-{m}-{d}')
    //           that.form.phone = patient.phone
    //           that.form.id_card_no = patient.id_card_no
    //           that.form.medicalInsuranceCard = response.data.data.number
    //
    //         } else if (that.form.id_card_type == 2) {
    //           that.form.name = patient.ID
    //           that.form.sex = patient.gender
    //           that.form.age = patient.age
    //           that.form.birthday = uParseTime(patient.birthday, '{y}-{m}-{d}')
    //           that.form.phone = patient.phone
    //           that.form.id_card_no = patient.id_card_no
    //         }
    //         that.$message({ message: '读卡成功', type: 'success' })
    //       }
    //     })
    //     .catch(function(error) {
    //
    //     })
    //
    // },
    getBirthday(date) {
      console.log(date)
      let curTime = moment(new Date(date)).format('YYYY-MM-DD')
      console.log('curTime22222', curTime)

      console.log(this.jsGetAge(curTime))

      this.form.age = this.jsGetAge(curTime)
    },
    jsGetAge(strBirthday) { //传入形式yyyy-MM-dd
      //strBirthday = util.formatTime(strBirthday);转换成yyyy-MM-dd形式
      var returnAge
      var strBirthdayArr = strBirthday.split('-')
      var birthYear = strBirthdayArr[0]
      var birthMonth = strBirthdayArr[1]
      var birthDay = strBirthdayArr[2]
      var d = new Date()
      var nowYear = d.getFullYear()
      var nowMonth = d.getMonth() + 1
      var nowDay = d.getDate()
      if (nowYear == birthYear) {
        returnAge = 0 //同年 则为0岁
      } else {
        var ageDiff = nowYear - birthYear //年之差
        if (ageDiff > 0) {
          if (nowMonth == birthMonth) {
            var dayDiff = nowDay - birthDay //日之差
            if (dayDiff < 0) {
              returnAge = ageDiff - 1
            } else {
              returnAge = ageDiff
            }
          } else {
            var monthDiff = nowMonth - birthMonth //月之差
            if (monthDiff < 0) {
              returnAge = ageDiff - 1
            } else {
              returnAge = ageDiff
            }
          }
        } else {
          returnAge = -1 //返回-1 表示出生日期输入错误 晚于今天
        }
      }
      return returnAge //返回周岁年龄
    },
    getForm() {
      this.form.total = this.total
      if (localStorage.getItem('temp')) {
        let a = JSON.parse(localStorage.getItem('temp'))
        // let arr = []
        this.form.create_time = new Date(new Date().toLocaleDateString()).getTime() / 1000
        this.form.org_id = this.$store.getters.xt_user.org_id
        a.push(this.form)
        console.log(111, a)
        localStorage.setItem('temp', JSON.stringify(a))
        Object.keys(this.form).forEach((key) => {
          this.form[key] = ''
        })
        this.$message({ message: '添加成功', type: 'success' })
      } else {
        let arr = []
        this.form.create_time = new Date(new Date().toLocaleDateString()).getTime() / 1000
        this.form.org_id = this.$store.getters.xt_user.org_id
        arr.push(this.form)
        localStorage.setItem('temp', JSON.stringify(arr))
        Object.keys(this.form).forEach((key) => {
          this.form[key] = ''
        })
        this.$message({ message: '添加成功', type: 'success' })
      }
    },

    getAllDoctorList() {
      getAllDoctorList().then(response => {
        if (response.data.state == 1) {
          var doctor = response.data.data.doctor
          this.doctorList = doctor
          var department = response.data.data.department
          this.departmentList = department
        }
      })
    },
    saveHisPatient(formName) {
      if (this.form.name == '') {
        this.$message.error('患者姓名不能为空')
        this.is_Name = true
        return
      }

      if (this.form.department == '') {
        this.$message.error('科室不能为空')
        this.is_Name = true
        return
      }

      if (this.form.id_card_type == '') {
        this.$message.error('读卡类型不能为空')
        this.is_Name = true
        return
      }

      if (this.form.id_card_no == '') {
        this.$message.error('证件号码不能为空')
        this.is_Name = true
        return
      }

      if (this.form.med_type == '') {
        this.$message.error('医疗类别不能为空')
        this.is_Name = true
        return
      }

      if (this.form.diagnosis == '') {
        this.$message.error('诊断不能为空')
        this.is_Name = true
        return
      }

      if (this.form.sick_type == '') {
        this.$message.error('大病类别不能为空')
        this.is_Name = true
        return
      }

      if (this.form.start_time == '') {
        this.$message.error('入院时间不能为空')
        this.is_Name = true
        return
      }

      this.$refs['form'].validate((valid) => {
        if (valid) {
          if (this.form.costChecked == true) {
            this.check = 1
          }
          if (this.form.costChecked == false) {
            this.check = 2
          }

          var nowDate = new Date()
          var nowYear = nowDate.getFullYear()
          var nowMonth = nowDate.getMonth() + 1
          var nowDay = nowDate.getDate()
          this.record_date =
              nowYear +
              '-' +
              (nowMonth < 10 ? '0' + nowMonth : nowMonth) +
              '-' +
              (nowDay < 10 ? '0' + nowDay : nowDay)

          var params = {
            id: this.form.id,
            name: this.form.name,
            id_card_type: this.form.id_card_type,
            certificates: this.form.certificates,
            id_card_no: this.form.id_card_no,
            doctor: this.form.doctor,
            department: this.form.department,
            phone: this.form.phone,
            med_type: this.form.med_type,
            diagnosis: this.form.diagnosis,
            sick_type: this.form.sick_type,
            start_time: this.form.start_time,
            social_type: this.form.social_type,
            psn_type: this.form.psn_type,
            balance_accounts_type: this.form.settlement_value,
            insuplc_admdvs: this.form.insuplc_admdvs

          }
          params['record_time'] = this.record_date
          params['admin_user_id'] = this.$store.getters.xt_user.user.id
          this.loadingone = true

          var that = this

          if (this.form.settlement_value == 2) {
            Inhopitalcheck(params).then(response => {
              if (response.data.state == 0) {
                this.$message.error(response.data.msg);
                this.loadingone = false;
                // this.$refs.register.hide()
                return false
              } else {
                this.loadingone = false
                that.$message({ message: '登记成功', type: 'success' })
                that.form.name = ''
                that.form.certificates = ''
                that.form.id_card_no = ''
                that.form.doctor = ''
                that.form.department = ''
                that.form.phone = ''
                that.form.med_type = 14
                that.form.sick_type = that.sick[0].id
                that.form.diagnosis = that.diagnoses[0].id
                if(that.$store.getters.xt_user.org_id == 10215) {
                  that.form.sick_type = 421
                  that.form.diagnosis = 92
                }
                that.$emit('confirm', "");
              }
            })
          } else {
            axios.get('http://127.0.0.1:9532/zh/api/inhopitalcheck/get', {
              params: params,
              headers: {
                'Permission': 5
              }
            })
                .then(function(response) {
                  if (response.data.state == 0) {
                    that.$message.error(response.data.msg)
                    that.loadingone = false
                    return false
                  } else {
                    that.loadingone = false
                    if (response.data.data.failed_code == -10) {
                      // that.$message.error(response.data.data.msg)
                      that.$confirm(response.data.data.msg, '医保错误信息', {
                        confirmButtonText: '确 定',
                        type: 'warning'
                      }).then(() => {

                      }).catch(() => {
                      })
                    } else {
                      that.$message({ message: '登记成功', type: 'success' })
                      that.form.name = ''
                      that.form.id_card_no = ''
                      that.form.doctor = ''
                      that.form.department = ''
                      that.form.phone = ''
                      that.form.med_type = 14
                      that.form.sick_type = that.sick[0].id
                      that.form.diagnosis = that.diagnoses[0].id
                      that.form.certificates = 1
                      that.$emit('confirm', "");
                      if(that.$store.getters.xt_user.org_id == 10215) {
                        that.form.sick_type = 421
                        that.form.diagnosis = 92
                      }


                    }
                  }
                })
                .catch(function(error) {

                })

          }

        }
      })
    },
    getDictionaryDataConfig(module, filed_name) {
      return getDictionaryDataConfig(module, filed_name)
    },

    changeDoctor(id) {
      for (let i = 0; i < this.doctorList.length; i++) {su
        if (this.doctorList[i].admin_user_id == id) {
          if (this.doctorList[i].department_id == 0) {
            this.form.department = this.departmentList[0].id
          } else {
            this.form.department = this.doctorList[i].department_id
          }

        }
      }
    },
    changeName(id) {
      this.form.sex = ''
      this.form.age = ''
      this.form.birthday = ''
      this.form.phone = ''
      this.form.id_card_no = ''
      getPatientDetail(id).then(response => {
        if (response.data.state == 1) {
          var patient = response.data.data.patient
          console.log('patient', patient)
          this.form.sex = patient.gender
          this.form.age = patient.age
          this.form.birthday = uParseTime(patient.birthday, '{y}-{m}-{d}')
          this.form.phone = patient.phone
          this.form.id_card_no = patient.id_card_no
        }
      })
    }, getInitData() {
      getInitData().then(response => {
        if (response.data.state == 0) {
          this.$message.error(response.data.msg)
          return false
        } else {
          this.doctors = response.data.data.doctors
          this.department = response.data.data.department
          this.sick = response.data.data.sick
          this.diagnoses = response.data.data.diagnose

          this.form.sick_type = this.sick[0].id
          this.form.diagnosis = this.diagnoses[0].id

          if(this.$store.getters.xt_user.org_id == 10215) {
            this.form.med_type = 14
            this.form.sick_type = 421
            this.form.diagnosis = 92
          }


        }
      })

    }

  },

}
</script>

<style lang="scss" scoped>
.nameTitle {
  font-weight: bold;
  font-size: 16px;
}

.formMain {
  /*/ / padding: 10 px 90 px;*/
  width: 80%;
  margin: 0 auto;
}

.basicForm {

  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;

.el-form-item {
  width: 33%;
}

.specialFormItem {
  width: 66.5%;

.el-input {
  min-width: 150px;
}

}
.el-select {
  width: 100%;
}

.el-input {
  width: 100%;
}

}
.el-form-item__error {
  color: #F56C6C;
  font-size: 12px;
  line-height: 1;
  padding-top: 4px;
  position: absolute;
  top: 100%;
  left: 0;
}
</style>
